<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org">
<head>

</head>
<title>Update Todo</title>
<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
     <link rel="stylesheet" th:href="@{/css/mycss.css}">
    <!-- Bootstrap CSS -->
    <script type="text/javascript" th:src="@{/js/actions.js}"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>

<div class="update mb-4 col-4">
<form action="#" th:action="@{/todo/updateTodo}" th:object="${todo}" method="POST" onsubmit="return validation()" >
<div class="form-group form-group-sm input-group-sm mt-4 mb-4 border rounded">
<nav class="navbar navbar-dark bg-dark">
  <span class="navbar-brand mb-1 h1 ml-5 mx-auto">Update Your Task</span>
</nav>
<input hidden="true" th:field="*{id}">
<label class="ml-2">Title</label>
<input id="title" class="form-control input-col ml-2" type="text" placeholder="Title" th:field="*{title}" /><br/>
<label class="ml-2">Description</label>
<input id="desc" class="form-control input-col ml-2" type="text" placeholder="Desciption" th:field="*{description}" /><br/>
<label class="ml-2">Target Date</label>
<input id="date" class="form-control  input-col ml-2" type="date" th:field="*{doc}" /><br/>
<label class="ml-2">Priority</label>
<input class="form-control input-col ml-2" type="text" placeholder="1-10" th:field="*{priority}" /><br/> 
<button class="sub btn btn-info" type="submit">Update</button> 
<p id="error"></p>
</div>
</form>
</div>

</body>
</html>